### Method

# Ide TreeNode set_display_name

#### Declaration

    void
    ide_tree_node_set_display_name (
      IdeTreeNode* self,
      const gchar* display_name
    )

#### Description

Sets the `IdeTreeNode:display-name` property, which is the text to use when displaying the item in the tree.

Available since: | 3.32

Sets property | `Ide.TreeNode:display-name`

#### Parameters

`display_name` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.